#!/usr/bin/python3
#----------------------------------------------------------------
# Dateiname:  temperatur.cgi 
# Das CGI-Skript liefert die aktuelle Temperatur.
#
# Michael Weigend: Raspberry Pi für Kids
# mitp 2024
# 2. Bonuskapitel, Aufgabe
# 31.08.2024
#----------------------------------------------------------------

import os, time, cgitb
cgitb.enable()
os.system('modprobe wire')                
os.system('modprobe w1-gpio')
os.system('modprobe w1-therm')

PFAD = '/sys/bus/w1/devices/28-00000452c601/temperature'              #1      
HTML = '''Content-type: text/html; char-set=utf-8

<html>
  <head>
    <title> Temperaturen </title>
  </head>
  <body>
    <font face="Arial" color="blue" size=8>
    <h1> Temperaturmessung</h1>
    <p>Im Moment ist die Temperatur in der G&auml;rflasche {} Grad Celsius.</p>
    <a href="/cgi-bin/temperatur.cgi"> Neue Messung </a>
    </font>
  </body>
</html>'''


def readTemp():                           #3
    ''' Miss Temperatur in Grad Celsius '''
    f = open(PFAD, 'r')
    daten = f.read()
    f.close()
    return int(daten)/1000
print(HTML.format(readTemp()))             #4
                            

           
        
   
