#############################################
# jukebox.py
#
# Man kann einen Sound auswählen, der dann
# abgespielt wird.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kap. 7
# 01. 07. 2024
#############################################
import os
from gpiozero import Button
from signal import pause

def jubel():                                              #1
     os.system('aplay sounds/jubel.wav')

def bellen():
    os.system('aplay sounds/bellen.wav')

def fanfare():
    os.system('aplay sounds/fanfare.wav') 

jubelKnopf = Button(pin='BOARD8', bounce_time=0.1)        #2
bellenKnopf = Button(pin='BOARD10', bounce_time=0.1)
fanfareKnopf= Button(pin='BOARD12', bounce_time=0.1)
jubelKnopf.when_pressed = jubel                           #3
bellenKnopf.when_pressed = bellen
fanfareKnopf.when_pressed = fanfare
pause()                                                   #4




           
        
   
