#------------------------------------------------
# tlichtorgel.py
#
# Über LEDs wird eine Farbfolge, die in einem String
# codiert ist, abgespielt.
#
# Michael Weigend
# Raspberry Pi für Kids,
# mitp 2024
# Kap. 8
# 04. 07. 2024
#------------------------------------------------
import os
from gpiozero import RGBLED
from time import sleep
licht = RGBLED(red="BOARD12",
               green="BOARD10",
               blue="BOARD8")                           #1
ZEIT = 0.2
FARBEN = 'rrrrbsbsrrrreses'                     
D = {'r': (1, 0, 0), 'g': (0, 1, 0), 'b': (0, 0, 1),
     'e': (0.5, 0.5, 0), 'm': (0.5, 0, 0.5),
     't': (0, 0.5, 0.5), 'w': (0.33, 0.33, 0.33),
     's': (0, 0, 0)}                                    #2
while True:                                             #3
    for buchstabe in FARBEN:                            #4
        licht.color = D[buchstabe]                      #5
        sleep(ZEIT)


            
           
        
   
