#------------------------------------------------
# vokabeln_lernen.py
# Hier werden Vokabeln gelernt.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2020
# Kap. 11, Projekt 31
# 1. 09. 2020
#------------------------------------------------

from random import *
deutsch = {'key':['Schlüssel', 'Taste'],
           'slice':['Scheibe', 'Stück'],
            'value': ['Wert']}
fehler = 0
vokabeln = list(deutsch.keys())
while vokabeln:
    wort = choice (vokabeln)
    print('Was heißt', wort, 'auf Deutsch?')
    antwort = input('--> ')
    if antwort in deutsch[wort]:
        print ('Richtig!')
        vokabeln.remove(wort)
    else:
        print('Leider falsch.')
        print(wort.capitalize(),'bedeutet:')
        for w in deutsch[wort]:
            print(w)
        print()
        fehler += 1
print('Alle Vokabeln gelernt!')
print('Du hast', fehler, 'Fehler gemacht.')

    
