#---------------------------------------------
# abstand.py
# Das Programm druckt jede Sekunde den aktuellen Abstand
# zu einem Hindernis vor dem Ultraschallsensor.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 9
# 05. 07. 2024
#------------------------------------------------
from time import sleep
from gpiozero import DistanceSensor             #1
sensor = DistanceSensor(echo="BOARD10",
                        trigger="BOARD8",
                        max_distance=2)         #2

while True:
    abstand = round(sensor.distance * 100)      #3
    print('Abstand:', abstand, 'cm')            #4
    sleep(1)
