#---------------------------------------------
# abstandswarnung.py
# Wenn ein Objekt zu nahe kommt, geht die LED an.
# Wenn es wieder weg ist, geht sie aus.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 9
# 05. 07. 2024
#------------------------------------------------
from time import sleep
from signal import pause
from gpiozero import DistanceSensor, LED             

sensor = DistanceSensor(echo='BOARD10', trigger='BOARD8',
                        max_distance=6,
                        threshold_distance = 0.5)       #1
led = LED('BOARD3')                                     #2
sensor.when_in_range = led.on                           #3
sensor.when_out_of_range = led.off                      #4
pause()

