#---------------------------------------------
# temp_min_max.py
# Das Programm ermittelt die höchste und
# niedrigste gemessene Temperatur.
#
# Michael Weigend
# Raspberry Pi für Kids
# Kapitel 10
# 21. 07. 2024
#------------------------------------------------
import time
from temp import readTemp

minTemp = 100
maxTemp = -100

for i in range(60):
    t= readTemp()
    if t < minTemp:
        minTemp = t
    if t > maxTemp:
        maxTemp = t
    time.sleep(1)
                            
print('Maximum:', maxTemp, '°C')
print('Minimum:', minTemp, '°C')
           
        
   
