#! /usr/bin/python3
#---------------------------------------------
# digitaluhr.pyw
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 11
# 21. 07. 2024
#------------------------------------------------
# digitaluhr.pyw
from time import localtime
from tkinter import *
BGCOLOR = '#30a'

def tick():                                           #1
     t = localtime()                                  #2
     text = 'Es ist ' + str(t.tm_hour) + ' Uhr\n'
     text += str(t.tm_min) + ' Minuten und\n'
     text += str(t.tm_sec)
     if t.tm_sec == 1:
         text += ' Sekunde.'
     else:
         text += ' Sekunden.'   
     label.config(text=text)                          #3
     fenster.after(1000, tick)



def beenden(event):                                   #4
    fenster.destroy()
    
fenster = Tk()
fenster.bind('<Any-KeyPress>', beenden)               #7


fenster.after(1000, fenster.attributes, '-fullscreen', True)  #8

label=Label(master=fenster,bg=BGCOLOR,
            font=('Courier', 100), fg='white',
            justify=LEFT)                             #9

label.pack(anchor=CENTER, expand=True, fill=BOTH)    #10
tick()

fenster.mainloop()
