#!/usr/bin/python3
#-------------------------------------------------------------
# Dateiname:  webcam.cgi 
# Einfache Webcam. Nach Klick auf die Schaltflaeche
# wird das Bild aktualisiert.
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Bonuskapitel 2
# 21.08.2024
#----------------------------------------------------------------

import os

KOMMANDO = 'rpicam-still -t 100 --width 400 --height 300' \
           + ' -o /var/www/html/bild.jpg -n'             #1
                  
HTML = '''Content-type: text/html; char-set=utf-8

<html>
 <head>
  <title>Webcam</title>
 </head>
 <body>
  <h1> Spion im Garten </h1>
  <p>
   <img src="/bild.jpg" alt="Blick in den Garten" />
  </p>
  <form action="http://192.168.178.96/cgi-bin/webcam.cgi"
       method="POST">
  <input type="Submit" value="Neues Bild" />
  </form>
 </body>
</html>'''                                               #2

os.system(KOMMANDO)                                      #3
print(HTML)                                              #4
