#############################################
# blinken.py
#
# Solange die Tür geöffnetder Knopf gedrückt ist,
# blinkt die Leuchtdiode.
#
# Michael Weigend
# Raspberry Pi für Kids,
# Kap. 7
# 02. 07. 2024
#############################################

from gpiozero import LED, Button
from signal import pause
knopf = Button('BOARD5')
led = LED('BOARD10')

# knopf.when_pressed = led.blink
knopf.when_held = led.blink
knopf.hold_time = 3
knopf.when_released = led.off
pause()                                         
