#------------------------------------------------
# lichtorgel.py
#
# Über LEDs wird eine Farbfolge, die in einem String
# codiert ist, abgespielt.
#
# Michael Weigend
# Raspberry Pi für Kids,
# mitp 2024
# Kap. 8
# 04. 07. 2024
#------------------------------------------------
import os
from gpiozero import LED
from time import sleep
rot = LED('BOARD12')
grün = LED('BOARD10')
blau = LED('BOARD8')
FARBEN = 'rrrrggbss'
ZEIT = 0.2
while True:                                     #2
    for buchstabe in FARBEN:                    #3
        if buchstabe == 'r':                    #4
            rot.on()                            
        elif buchstabe == 'g':                                     
            grün.on()
        elif buchstabe == 'b':
            blau.on()
        elif buchstabe == 'e':                  #5
            rot.on()
            grün.on()
        elif buchstabe == 'm':
            rot.on()
            blau.on()
        elif buchstabe == 't':
            grün.on()
            blau.on()
        elif buchstabe == 'w':
            rot.on()
            grün.on()
            blau.on()
        sleep(ZEIT)                             #6
        rot.off()                               #7
        grün.off()
        blau.off()


            
           
        
   
