#---------------------------------------------
# begruessung.py
# Wenn man sich dem Sensor auf 1 m nähert, wird ein Text vorgelesen.
# Wenn man sich wieder entfernt, wird ein anderer Text vorgelesen.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 09
# 05. 07. 2024
#------------------------------------------------

import os, time, signal
from gpiozero import DistanceSensor, Button
from random import choice

def begrüßen():
    os.system('espeak -vde "Hallo"' + )
              

def verabschieden():
    os.system('espeak -vde "Tschüss"')

def beenden():
    sensor.close()
    button.close()
    os.system('halt')

sensor = DistanceSensor(echo="BOARD10",
                        trigger="BOARD8",
                        max_distance=3,
                        threshold_distance=1)         #1

sensor.when_in_range = begrüßen
sensor.when_out_of_range = verabschieden

ausSchalter = Button('BOARD3')                  #2
ausSchalter.when_pressed = beenden

signal.pause()          
