#---------------------------------------------
# oled_test.py
# Auf dem Oled-Display wird ein Text ausgegeben
#
# Michael Weigend
# Raspberry Pi für Kids
# Kapitel 10
# 21. 07. 2024
#------------------------------------------------

from adafruit_ssd1306 import SSD1306_I2C              
from busio import I2C                                     
from board import SCL, SDA                         
from PIL import Image, ImageDraw                      
i2c = I2C(SCL, SDA)                                    
disp = SSD1306_I2C(128, 64, i2c)                                                               
image = Image.new('1', (128, 64), color='green')                        
draw = ImageDraw.Draw(image)                          
draw.text((20,20), text='Hallo', fill=True)           
disp.image(image)                                     
disp.show()                                          
           
        
   
