#! /usr/bin/python3
#---------------------------------------------
# motivator_image.py
# Nach jedem Klick auf die Schaltfläche erscheint
# ein aufmunternder Spruch.
#
# Michael Weigend
# Raspberry Pi für Kids
# Kapitel 11
# 21. 097. 2024
#------------------------------------------------
from tkinter import *
from random import choice

SPRÜCHE =['Du siehst heute gut aus.',   
          'Du schaffst es!',
          'Heute ist dein Tag!',
          'Keiner kann dich bremsen!']
 
def auswählen():
    text = choice(SPRÜCHE)      
    label.config(text=text)

# Widgets
fenster = Tk()
bild = PhotoImage(file='rakete.gif')
button = Button(master=fenster, image=bild, 
                command=auswählen)
label = Label(master=fenster, font=('Arial', 25),             
              text=SPRÜCHE[0])             

# Layout

button.pack(side=LEFT)
label.pack(side=LEFT)

fenster.mainloop()
