#---------------------------------------------
# temp_log.py
# Das Programm misst jede Sekunde die Temperatur 
# und schreibt sie auf den Bildschirm.
# Im Pfad muss der korrekte Name des Sensor-Verzeichnisses eingetragen werden.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 10
# 21. 097. 2024
#------------------------------------------------
import os, time

os.system('sudo modprobe w1-gpio')
os.system('sudo modprobe w1-therm')

PFAD = '/sys/bus/w1/devices/xxx/temperature'   #2

def readTemp():                                #3
    f = open(PFAD, 'r')                        #4
    daten = f.read()                           #5
    f.close()                                  #6
    return int(daten)/1000                     #7


if __name__ == "__main__":
    print(readTemp(),'Grad Celsius')

                            

           
        
   
